GNU bug report logs - #69578
30.0.50; tab-bar-mode binding of (control tab) not always useful

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Gerd Möllmann <gerd.moellmann@HIDDEN>; Done: Juri Linkov <juri@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 30.0.50, send any further explanations to 69578 <at> debbugs.gnu.org and Gerd Möllmann <gerd.moellmann@HIDDEN> Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 69578 <at> debbugs.gnu.org:


Received: (at 69578) by debbugs.gnu.org; 5 Apr 2024 16:27:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 05 12:27:31 2024
Received: from localhost ([127.0.0.1]:37359 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rsmPa-0001wZ-6C
	for submit <at> debbugs.gnu.org; Fri, 05 Apr 2024 12:27:31 -0400
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:45603)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1rsmPT-0001uy-TH; Fri, 05 Apr 2024 12:27:28 -0400
Received: by mail.gandi.net (Postfix) with ESMTPSA id 47F34FF807;
 Fri,  5 Apr 2024 16:27:09 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
Subject: Re: bug#69578: 30.0.50; tab-bar-mode binding of (control tab) not
 always useful
In-Reply-To: <86ttl0recn.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 20 Mar 2024 19:40:40 +0200")
Organization: LINKOV.NET
References: <m2r0gng5dj.fsf@HIDDEN> <87y1aog83s.fsf@HIDDEN>
 <86h6hcd5er.fsf@HIDDEN> <86ttl0recn.fsf@HIDDEN>
Date: Fri, 05 Apr 2024 19:23:23 +0300
Message-ID: <86cyr37p8k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-GND-Sasl: juri@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 69578
Cc: 69578 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

close 69578 30.0.50
thanks

>> There is a slight backward incompatibility for users who have own
>> global keybindings for C-TAB.  They will need to unbind these keys
>> in the new map.  Then this change should be announced in NEWS:
>>
>> diff --git a/etc/NEWS b/etc/NEWS
>> +---
>> +*** New keymap 'tab-bar-mode-map'.
>> +If you have global keybinding for 'C-TAB', then you might want
>> +to unbind the same keybinding in 'tab-bar-mode-map'.
>
> I still feel uneasy about this backward incompatibility
> since users will suddenly get tab-switching on C-TAB
> when they use another global keybinding for C-TAB.
> So we need to rethink this change.

Ok, now pushed a backward-compatibile fix.
So can close now.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#69578; Package emacs. Full text available.

Message received at 69578 <at> debbugs.gnu.org:


Received: (at 69578) by debbugs.gnu.org; 20 Mar 2024 17:55:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 20 13:55:25 2024
Received: from localhost ([127.0.0.1]:53272 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rn09p-00054h-53
	for submit <at> debbugs.gnu.org; Wed, 20 Mar 2024 13:55:25 -0400
Received: from mslow1.mail.gandi.net ([217.70.178.240]:60611)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1rn028-0004eS-HT
 for 69578 <at> debbugs.gnu.org; Wed, 20 Mar 2024 13:47:26 -0400
Received: from relay1-d.mail.gandi.net (unknown [217.70.183.193])
 by mslow1.mail.gandi.net (Postfix) with ESMTP id 2CF97C3347
 for <69578 <at> debbugs.gnu.org>; Wed, 20 Mar 2024 17:41:33 +0000 (UTC)
Received: by mail.gandi.net (Postfix) with ESMTPSA id F3262240002;
 Wed, 20 Mar 2024 17:41:11 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
Subject: Re: bug#69578: 30.0.50; tab-bar-mode binding of (control tab) not
 always useful
In-Reply-To: <86h6hcd5er.fsf@HIDDEN> (Juri Linkov's message of "Mon, 
 11 Mar 2024 19:50:20 +0200")
Organization: LINKOV.NET
References: <m2r0gng5dj.fsf@HIDDEN> <87y1aog83s.fsf@HIDDEN>
 <86h6hcd5er.fsf@HIDDEN>
Date: Wed, 20 Mar 2024 19:40:40 +0200
Message-ID: <86ttl0recn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-GND-Sasl: juri@HIDDEN
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: 69578
Cc: 69578 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

> There is a slight backward incompatibility for users who have own
> global keybindings for C-TAB.  They will need to unbind these keys
> in the new map.  Then this change should be announced in NEWS:
>
> diff --git a/etc/NEWS b/etc/NEWS
> +---
> +*** New keymap 'tab-bar-mode-map'.
> +If you have global keybinding for 'C-TAB', then you might want
> +to unbind the same keybinding in 'tab-bar-mode-map'.

I still feel uneasy about this backward incompatibility
since users will suddenly get tab-switching on C-TAB
when they use another global keybinding for C-TAB.
So we need to rethink this change.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#69578; Package emacs. Full text available.

Message received at 69578 <at> debbugs.gnu.org:


Received: (at 69578) by debbugs.gnu.org; 11 Mar 2024 18:02:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 11 14:02:46 2024
Received: from localhost ([127.0.0.1]:41216 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rjjz4-0000ez-DY
	for submit <at> debbugs.gnu.org; Mon, 11 Mar 2024 14:02:46 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:56651)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1rjjz1-0000eg-FM
 for 69578 <at> debbugs.gnu.org; Mon, 11 Mar 2024 14:02:44 -0400
Received: by mail.gandi.net (Postfix) with ESMTPSA id 8BD851C0003;
 Mon, 11 Mar 2024 18:02:01 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
Subject: Re: bug#69578: 30.0.50; tab-bar-mode binding of (control tab) not
 always useful
In-Reply-To: <87y1aog83s.fsf@HIDDEN> (Jonas Bernoulli's message of "Mon,
 11 Mar 2024 15:23:51 +0100")
Organization: LINKOV.NET
References: <m2r0gng5dj.fsf@HIDDEN> <87y1aog83s.fsf@HIDDEN>
Date: Mon, 11 Mar 2024 19:50:20 +0200
Message-ID: <86h6hcd5er.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-GND-Sasl: juri@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 69578
Cc: 69578 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

>> So, maybe these bindings should not be done?
>
> Too late for that now, but they should definitely be done in a way that
> users can customize, without having to advice tab-bar--define-keys (and
> tab-bar--undefine-keys).

Thanks for bringing up this issue.  Customization of keys was not supported
since no once asked for it, I guess because tab-bar--define-keys
respected the existing global keybindings before defining own.
But indeed this doesn't work for local keymaps.

> Maybe by using a mode map?  If there is some reason this cannot be
> done, then maybe a "dummy keymap" could be used?  (User could then
> manipulate the fake tab-bar-mode-map like any keymap, but the bindings
> it contains would then somehow be "transplanted" into the global map
> by tab-bar--define-keys.)

Just adding a simple mode map completely makes it customizable
since 'define-minor-mode' is able to pick it by naming convention:

  (defvar tab-bar-mode-map
    (let ((map (make-sparse-keymap)))
      (define-key map [(control tab)] #'tab-next)
      (define-key map [(control shift tab)] #'tab-previous)
      (define-key map [(control shift iso-lefttab)] #'tab-previous)
      map)
    "Tab Bar mode map.")

The rest of complexity in the following patch comes
from the need to address the customization of
'tab-bar-select-tab-modifiers'.

There is a slight backward incompatibility for users who have own
global keybindings for C-TAB.  They will need to unbind these keys
in the new map.  Then this change should be announced in NEWS:

--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=tab-bar-mode-map.patch

diff --git a/etc/NEWS b/etc/NEWS
index 19cd170e5c7..0aab2d04ca2 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -285,6 +285,11 @@ selected or deselected at the end of executing the current command.
 
 ** Tab Bars and Tab Lines
 
+---
+*** New keymap 'tab-bar-mode-map'.
+If you have global keybinding for 'C-TAB', then you might want
+to unbind the same keybinding in 'tab-bar-mode-map'.
+
 ---
 *** New user option 'tab-bar-tab-name-format-functions'.
 It can be used to add, remove and reorder functions that change
diff --git a/lisp/tab-bar.el b/lisp/tab-bar.el
index 61efa332e0b..07470f072e1 100644
--- a/lisp/tab-bar.el
+++ b/lisp/tab-bar.el
@@ -104,10 +104,11 @@ tab-bar-select-tab-modifiers
               (const alt))
   :initialize #'custom-initialize-default
   :set (lambda (sym val)
+         (when tab-bar-mode
+           (tab-bar--undefine-keys))
          (set-default sym val)
          ;; Reenable the tab-bar with new keybindings
          (when tab-bar-mode
-           (tab-bar--undefine-keys)
            (tab-bar--define-keys)))
   :group 'tab-bar
   :version "27.1")
@@ -115,21 +116,17 @@ tab-bar-select-tab-modifiers
 (defun tab-bar--define-keys ()
   "Install key bindings to switch between tabs if so configured."
   (when tab-bar-select-tab-modifiers
-    (global-set-key (vector (append tab-bar-select-tab-modifiers (list ?0)))
-                    #'tab-recent)
+    (define-key tab-bar-mode-map
+                (vector (append tab-bar-select-tab-modifiers (list ?0)))
+                #'tab-recent)
     (dotimes (i 8)
-      (global-set-key (vector (append tab-bar-select-tab-modifiers
-                                      (list (+ i 1 ?0))))
-                      #'tab-bar-select-tab))
-    (global-set-key (vector (append tab-bar-select-tab-modifiers (list ?9)))
-                    #'tab-last))
-  ;; Don't override user customized key bindings
-  (unless (global-key-binding [(control tab)])
-    (global-set-key [(control tab)] #'tab-next))
-  (unless (global-key-binding [(control shift tab)])
-    (global-set-key [(control shift tab)] #'tab-previous))
-  (unless (global-key-binding [(control shift iso-lefttab)])
-    (global-set-key [(control shift iso-lefttab)] #'tab-previous))
+      (define-key tab-bar-mode-map
+                  (vector (append tab-bar-select-tab-modifiers
+                                  (list (+ i 1 ?0))))
+                  #'tab-bar-select-tab))
+    (define-key tab-bar-mode-map
+                (vector (append tab-bar-select-tab-modifiers (list ?9)))
+                #'tab-last))
 
   ;; Replace default value with a condition that supports displaying
   ;; global-mode-string in the tab bar instead of the mode line.
@@ -144,12 +141,18 @@ tab-bar--define-keys
 
 (defun tab-bar--undefine-keys ()
   "Uninstall key bindings previously bound by `tab-bar--define-keys'."
-  (when (eq (global-key-binding [(control tab)]) 'tab-next)
-    (global-unset-key [(control tab)]))
-  (when (eq (global-key-binding [(control shift tab)]) 'tab-previous)
-    (global-unset-key [(control shift tab)]))
-  (when (eq (global-key-binding [(control shift iso-lefttab)]) 'tab-previous)
-    (global-unset-key [(control shift iso-lefttab)])))
+  (when tab-bar-select-tab-modifiers
+    (define-key tab-bar-mode-map
+                (vector (append tab-bar-select-tab-modifiers (list ?0)))
+                nil)
+    (dotimes (i 8)
+      (define-key tab-bar-mode-map
+                  (vector (append tab-bar-select-tab-modifiers
+                                  (list (+ i 1 ?0))))
+                  nil))
+    (define-key tab-bar-mode-map
+                (vector (append tab-bar-select-tab-modifiers (list ?9)))
+                nil)))
 
 (defun tab-bar--load-buttons ()
   "Load the icons for the tab buttons."
@@ -239,6 +242,14 @@ tab-bar--update-tab-bar-lines
                       (if (and tab-bar-mode (eq tab-bar-show t)) 1 0))
                 (assq-delete-all 'tab-bar-lines default-frame-alist)))))
 
+(defvar tab-bar-mode-map
+  (let ((map (make-sparse-keymap)))
+    (define-key map [(control tab)] #'tab-next)
+    (define-key map [(control shift tab)] #'tab-previous)
+    (define-key map [(control shift iso-lefttab)] #'tab-previous)
+    map)
+  "Tab Bar mode map.")
+
 (define-minor-mode tab-bar-mode
   "Toggle the tab bar in all graphical frames (Tab Bar mode)."
   :global t

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#69578; Package emacs. Full text available.

Message received at 69578 <at> debbugs.gnu.org:


Received: (at 69578) by debbugs.gnu.org; 11 Mar 2024 16:45:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 11 12:45:38 2024
Received: from localhost ([127.0.0.1]:41140 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rjimQ-0006lJ-AA
	for submit <at> debbugs.gnu.org; Mon, 11 Mar 2024 12:45:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47320)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rjimP-0006kw-AR
 for 69578 <at> debbugs.gnu.org; Mon, 11 Mar 2024 12:45:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rjilj-0003v1-IK; Mon, 11 Mar 2024 12:44:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=OEOMjPUDlTMmZWpA9+5psnrtzI9TME+3fQOblO7XVs4=; b=lPck0viU6sPQv2IHQFHY
 X19P5JShvtfYJ2vKzUTA18944B7+/ywh4KHlrawVsdGaFhM1XZ7sxHDMoBEaOAAJEb0yAZ3zC4LfS
 //7ck8HFfoeOdK6iNk9TMcDhKAy8wamYSRpEAIUV+gsvEJyKWDOztKSy1MCgCS5+NOe6StvylAYto
 S9qtQVDHX4IhkeuN7ja0I9VtPVX9rrOIs9I8w4DBWGdu49Ii545rv4RRnCd1cIFSlH/kAjjNn3MBb
 uzzFNV/YzZUvuGgkXZfheuLAwnT2JCNjeM6wFR/h3LS1Ou0VyuW2EnW703VVp4bNKsU+GkqdqyRqU
 UU686OVpa+4FOg==;
Date: Mon, 11 Mar 2024 18:44:51 +0200
Message-Id: <86y1aou398.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gerd =?utf-8?Q?M=C3=B6llmann?= <gerd.moellmann@HIDDEN>
In-Reply-To: <m2cys095h9.fsf@HIDDEN> (message from Gerd =?utf-8?Q?M?=
 =?utf-8?Q?=C3=B6llmann?= on Mon, 11 Mar 2024 16:02:26 +0100)
Subject: Re: bug#69578: 30.0.50;
 tab-bar-mode binding of (control tab) not always useful
References: <m2r0gng5dj.fsf@HIDDEN> <87y1aog83s.fsf@HIDDEN>
 <m2il1s95xr.fsf@HIDDEN> <m2cys095h9.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 69578
Cc: jonas@HIDDEN, 69578 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 69578 <at> debbugs.gnu.org
> From: Gerd Möllmann <gerd.moellmann@HIDDEN>
> Date: Mon, 11 Mar 2024 16:02:26 +0100
> 
> Gerd Möllmann <gerd.moellmann@HIDDEN> writes:
> 
> > No problem, I've re-opened it. Thanks, Jonas!
> 
> At least I tried, but reopen doesn't seem to take effect.

It did.  The bug is now open.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#69578; Package emacs. Full text available.

Message received at 69578 <at> debbugs.gnu.org:


Received: (at 69578) by debbugs.gnu.org; 11 Mar 2024 15:04:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 11 11:04:10 2024
Received: from localhost ([127.0.0.1]:41038 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rjhCE-0006s3-6I
	for submit <at> debbugs.gnu.org; Mon, 11 Mar 2024 11:04:10 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:61749)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gerd.moellmann@HIDDEN>) id 1rjhCB-0006rn-PM
 for 69578 <at> debbugs.gnu.org; Mon, 11 Mar 2024 11:04:08 -0400
Received: by mail-wr1-f48.google.com with SMTP id
 ffacd0b85a97d-33e5978fc1bso1927917f8f.3
 for <69578 <at> debbugs.gnu.org>; Mon, 11 Mar 2024 08:03:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1710169348; x=1710774148; darn=debbugs.gnu.org;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=5xNyH5az/gWeYZO+33zNzjO7fIpCs3Hy5cr4Xe0vPSw=;
 b=ji8/hWYx+6jtMXdJ2U2XCTme5L7vD25r2gXn4E2cgweunk8b9X3gvMrf6ihg22nLEK
 T00WenX18eF3KzHpL6nOx8YDCVXRs0C+1ZfOmBg1Gfl88uRpn7AxhBrOzyZzHcKIi3L6
 FhzvYv4G2HMMwD5hw4L3Q9gRcw8EVFzAQ1kL/R3MXVo+4cy/fhhShp4T7r6CdE+JBOIG
 A9EJ7yOxs6iaYIv9+2oma0mBOkTBM0r37K19uktbWfJ5OU3Sce3UWjLWvyQmB4df0mCt
 vNAEXiSpGfZe/JuWjai5wXCtCf5PeruruIzZfRx5J6I2EPXortBhnUCCwE71n1eVM6at
 DUTA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1710169348; x=1710774148;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc:subject:date:message-id:reply-to;
 bh=5xNyH5az/gWeYZO+33zNzjO7fIpCs3Hy5cr4Xe0vPSw=;
 b=O3k+GgUW7YDz4FJdKESWdgKwPyP6/GRuuWv6M7G+KjKIyT56iRDeuTpf5bElJH+DKL
 UR8Y0QZy+whBZ0wM2XcjTHT4oKkdRPEL/Cj4PnBF/OgnKYBYYRpazrJ581JwJ1iliB/s
 hpO1ehctrNOs93DN9Yjm3q+ufORnwKcjUVQrBKxYp2F3XNrZcnrvXQ1pbEdAQibvvV2+
 AJbEEqUL5E7wRbIUVxGGB6JHqBBzsm1CJbPM6izhTFgUqlQAUUuQAoe30uJ8pLwRQadv
 RnU67grfXFKN+Oz9W7kaQSC/DAuyCc6RD8LgHDyqH2Etugsg5TENxXELkHAlPfn8FKx5
 MU+A==
X-Gm-Message-State: AOJu0YwoG46MTpUVlNGaeebuCG3ITwjW+qw7qt/7GzW4mpZT7pXU0Pmn
 OmW1lV4CzZVOxJ4VYpL/fgFwhus6rbO9qyaEp595iMbSb3sUFQQZdJb4cvaW
X-Google-Smtp-Source: AGHT+IGjaHQ/A6bWaVIm71/aApJheY4zubteMHr7Hr0oxJlzd88F/gUhe/6Gb41GnyIw8nSuDr1hXA==
X-Received: by 2002:a5d:5692:0:b0:33d:7e76:3080 with SMTP id
 f18-20020a5d5692000000b0033d7e763080mr4259791wrv.53.1710169347798; 
 Mon, 11 Mar 2024 08:02:27 -0700 (PDT)
Received: from Pro.fritz.box (p4fe3a0ad.dip0.t-ipconnect.de. [79.227.160.173])
 by smtp.gmail.com with ESMTPSA id
 h9-20020a05600016c900b0033e45c3f026sm6811945wrf.4.2024.03.11.08.02.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 11 Mar 2024 08:02:27 -0700 (PDT)
From: =?utf-8?Q?Gerd_M=C3=B6llmann?= <gerd.moellmann@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
Subject: Re: bug#69578: 30.0.50; tab-bar-mode binding of (control tab) not
 always useful
In-Reply-To: <m2il1s95xr.fsf@HIDDEN> ("Gerd =?utf-8?Q?M=C3=B6llmann?=
 =?utf-8?Q?=22's?= message of "Mon, 11 Mar 2024 15:52:32 +0100")
References: <m2r0gng5dj.fsf@HIDDEN> <87y1aog83s.fsf@HIDDEN>
 <m2il1s95xr.fsf@HIDDEN>
Date: Mon, 11 Mar 2024 16:02:26 +0100
Message-ID: <m2cys095h9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 69578
Cc: 69578 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Gerd M=C3=B6llmann <gerd.moellmann@HIDDEN> writes:

> No problem, I've re-opened it. Thanks, Jonas!

At least I tried, but reopen doesn't seem to take effect.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#69578; Package emacs. Full text available.

Message received at 69578 <at> debbugs.gnu.org:


Received: (at 69578) by debbugs.gnu.org; 11 Mar 2024 14:54:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 11 10:54:16 2024
Received: from localhost ([127.0.0.1]:41008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rjh2e-0003ov-7j
	for submit <at> debbugs.gnu.org; Mon, 11 Mar 2024 10:54:16 -0400
Received: from mail-wm1-f51.google.com ([209.85.128.51]:57654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gerd.moellmann@HIDDEN>) id 1rjh2b-0003oh-R6
 for 69578 <at> debbugs.gnu.org; Mon, 11 Mar 2024 10:54:15 -0400
Received: by mail-wm1-f51.google.com with SMTP id
 5b1f17b1804b1-4132ab0c302so6482305e9.3
 for <69578 <at> debbugs.gnu.org>; Mon, 11 Mar 2024 07:53:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1710168754; x=1710773554; darn=debbugs.gnu.org;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=Ri3ISSThrzuUNGJ7xwhr11exL2YKQhhcWib+LT9ifcU=;
 b=U8sgvWdWkAlhoZqsoa+ZudNIoCLgCzThquk2rjsPwB2pa2Sid/Eh1Kto3q8/KF3+/7
 bxw16AVCrguVk/GaJJ5QDy5OdDkzrh4mr0BDnqKahGBYJusjhXZbLbh55R9eobboGtbQ
 1mh8JIY+dptsv2CHiUFu/d6bgocGbp3hBRM5zVLlGheLFc7sBIEt/NRrHYN6vWOImUnz
 4Hxt1nXvWydBvR11nnifuSefmZIRZBYOvmPcTZdQygtqZe0GOJrZZuTsUWErHHYBNgjh
 QGu0kqWsrfjhITkKpbmDe/wSg1It+SxxFfdjMo64IhGFfBxJvfZf+3b5Rs+RSeEQuLdT
 q31w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1710168754; x=1710773554;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=Ri3ISSThrzuUNGJ7xwhr11exL2YKQhhcWib+LT9ifcU=;
 b=NINMbHEMl9ucHOYc6GqYICBwLzv3BFxPYwWRDwF0jknUZKl+q/Yq6dkqVZyXvPdgxx
 9wKAF589V39LmKkpKgQ+Ux4QaqnupdnNfG8Y5bkbK6BzhnEv3lGmyi63di/M6+0mYW3l
 me84u1I7LaXEDYwhrVwaey2OcuzpBrOgkigZ2KoFiYeeT1P8XzxvnbA5ss3VuzKZ22fh
 YqzkivEGfARZ9choyHYNjLArTDIKf1TSrB7TLA/CrgqDjCkBDDBQ7pHOocuU4MMWmDz7
 7rNs6EAcUZkmtP4OI3yv01+ZJaKcsdmJrHl/a0SB2aFmiu6Gwm4s32ixMDgIyAkK+rW5
 AczQ==
X-Gm-Message-State: AOJu0YxIJaDBAyzBzBae5SI0wdw6b7T3BaxQ4FkKmMuzdZ7GjlNV+mJf
 JHtV3KPHTglX87SzhNYpU46Brguv8VTmnvOK+q7zq+p/zW+yTKhfuWR3ExdP
X-Google-Smtp-Source: AGHT+IHcCT+3uXVhDdsJ8M0TGwJJ0G4dKo1mQrewFTVT7VKZCeKsr3VcIbYShWguS17olRrOlrYJMg==
X-Received: by 2002:a05:600c:3f94:b0:413:2ae8:428d with SMTP id
 fs20-20020a05600c3f9400b004132ae8428dmr1902895wmb.14.1710168753665; 
 Mon, 11 Mar 2024 07:52:33 -0700 (PDT)
Received: from Pro.fritz.box (p4fe3a0ad.dip0.t-ipconnect.de. [79.227.160.173])
 by smtp.gmail.com with ESMTPSA id
 fs18-20020a05600c3f9200b004131f818444sm8730381wmb.44.2024.03.11.07.52.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 11 Mar 2024 07:52:33 -0700 (PDT)
From: =?utf-8?Q?Gerd_M=C3=B6llmann?= <gerd.moellmann@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
Subject: Re: bug#69578: 30.0.50; tab-bar-mode binding of (control tab) not
 always useful
In-Reply-To: <87y1aog83s.fsf@HIDDEN> (Jonas Bernoulli's message of "Mon,
 11 Mar 2024 15:23:51 +0100")
References: <m2r0gng5dj.fsf@HIDDEN> <87y1aog83s.fsf@HIDDEN>
Date: Mon, 11 Mar 2024 15:52:32 +0100
Message-ID: <m2il1s95xr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 69578
Cc: 69578 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jonas Bernoulli <jonas@HIDDEN> writes:

>>> Thanks, should we therefore close this bug?
>>
>> I'll close it in a second, thanks.
>
> This seems premature, making it so hard for users to change the tab-bar
> bindings seems like something that needs to be fixed.

No problem, I've re-opened it. Thanks, Jonas!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#69578; Package emacs. Full text available.
bug No longer marked as fixed in versions 30.1 and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 69578 <at> debbugs.gnu.org:


Received: (at 69578) by debbugs.gnu.org; 11 Mar 2024 14:24:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 11 10:24:41 2024
Received: from localhost ([127.0.0.1]:40948 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rjga1-0002yl-3v
	for submit <at> debbugs.gnu.org; Mon, 11 Mar 2024 10:24:41 -0400
Received: from mail.hostpark.net ([212.243.197.30]:46144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1rjgZu-0002yT-Ce
 for 69578 <at> debbugs.gnu.org; Mon, 11 Mar 2024 10:24:39 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id DC54A16717
 for <69578 <at> debbugs.gnu.org>; Mon, 11 Mar 2024 15:23:53 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=bernoul.li; h=
 content-type:content-type:mime-version:message-id:date:date
 :subject:subject:from:from; s=sel2011a; t=1710167033; bh=WFYo2wg
 2M2UQJC3xeGTArQcM08DO3dtY64uhzz97JFY=; b=f1axbMTZBONdsx7G0f0I0ga
 YQTk2ejkJ5Unsff3svSRGMlRtkqlkj2p+tY3HrLCjbJcQkTLBMJ8KsKVOTbpKKZp
 w5NAENx8fP8xuEL8tDKqk1GKBrXowEpSyv3HzyFY29Grj3K/5UAsG8BZy0jkC66L
 l522nL/Ek4QWsUF6Iexc=
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10224)
 with ESMTP id PlgdVt-AOYRh for <69578 <at> debbugs.gnu.org>;
 Mon, 11 Mar 2024 15:23:53 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 984831652E
 for <69578 <at> debbugs.gnu.org>; Mon, 11 Mar 2024 15:23:53 +0100 (CET)
From: Jonas Bernoulli <jonas@HIDDEN>
To: 69578 <at> debbugs.gnu.org
Subject: bug#69578: 30.0.50; tab-bar-mode binding of (control tab) not
 always useful
Date: Mon, 11 Mar 2024 15:23:51 +0100
Message-ID: <87y1aog83s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 69578
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> The developers of Org mode took courage and replaced their C-TAB
> bindings with C-c C-TAB:

It indeed takes courage to change key bindings; there will always be
a few users who get very upset by such a change.

> These bindings stop taking effect if a mode has its own bindings for
> control tab, for instance. A prominent example is Magit.

I have addressed this in Magit as described in this commit message:

magit-section-cycle: Pivot to tab-next if there is a binding conflict

If `tab-bar-mode' is enable, then "C-<tab>" is bound to `tab-next'
in the global map.  That conflicts with our local (and much older)
binding for `magit-section-cycle'.

Address this conflict by teaching `magit-section-cycle' to pivot to
`tab-next', but only if `tab-bar-mode' is enabled.  That way, users
who do not use `tab-bar-mode' (i.e., the majority), are not affected
by this unfortunate conflict.

`tab-bar-mode' users will have to get used to the much less convenient
"C-c TAB" binding to cycle section visibility.  Alternatively they can
advice `tab-bar--define-keys' to bind another key to `tab-next'.  It
would be nice if `tab-bar-mode', instead of modifying the global map,
used a mode map, and thus didn't make it so very hard to change its
key bindings.

> So, maybe these bindings should not be done?

Too late for that now, but they should definitely be done in a way that
users can customize, without having to advice tab-bar--define-keys (and
tab-bar--undefine-keys).  Maybe by using a mode map?  If there is some
reason this cannot be done, then maybe a "dummy keymap" could be used?
(User could then manipulate the fake tab-bar-mode-map like any keymap,
but the bindings it contains would then somehow be "transplanted" into
the global map by tab-bar--define-keys.)

>> Thanks, should we therefore close this bug?
>
> I'll close it in a second, thanks.

This seems premature, making it so hard for users to change the tab-bar
bindings seems like something that needs to be fixed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#69578; Package emacs. Full text available.
bug marked as fixed in version 30.1, send any further explanations to 69578 <at> debbugs.gnu.org and Gerd Möllmann <gerd.moellmann@HIDDEN> Request was from Gerd Möllmann <gerd.moellmann@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 69578 <at> debbugs.gnu.org:


Received: (at 69578) by debbugs.gnu.org; 10 Mar 2024 06:38:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 10 01:38:11 2024
Received: from localhost ([127.0.0.1]:35297 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rjCp1-0005XP-25
	for submit <at> debbugs.gnu.org; Sun, 10 Mar 2024 01:38:11 -0500
Received: from mail-ej1-f50.google.com ([209.85.218.50]:47125)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gerd.moellmann@HIDDEN>) id 1rjCow-0005Wp-7e
 for 69578 <at> debbugs.gnu.org; Sun, 10 Mar 2024 01:38:10 -0500
Received: by mail-ej1-f50.google.com with SMTP id
 a640c23a62f3a-a461d0c90c1so18140766b.2
 for <69578 <at> debbugs.gnu.org>; Sat, 09 Mar 2024 22:37:33 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1710052587; x=1710657387; darn=debbugs.gnu.org;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=Pc9SFxB+1Mz13eKvQUvr3dEtdQG7IXFit8sAajQZy6M=;
 b=RQ9/UzqDs5UPPAICx+xiePf+1LO0bF/O4D6fNgV0oLmu30egyv/fwRGblwXoSr449W
 9e6oUMna1gzxNl4KOFq1ijBGld25WaIsV84kD9muaIKCwInG6KXSU6uPVwDIg0GhemY5
 D5uoWanypgUK6kecG0CDHZ0xeMsnU+VEb9t941bs0gfunQZ2WxNkSpUtlDhRGMLlGum3
 IwjLJMKpnnwGp9jWWxnWZjozFRlIrD0iMPV/MgVHrSSC0zAw3Jzq5o2vb33RYq0zPW5l
 5QfK4XluV46iyzni6A44V3KtiDTEaWq+l6NpN0UxeyZd0nbDn3pC0mVDFcAJRp39gHJH
 GtHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1710052587; x=1710657387;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=Pc9SFxB+1Mz13eKvQUvr3dEtdQG7IXFit8sAajQZy6M=;
 b=oLBcRg3rTW7smcwPqcgxg/Ir5RuyJJtwUEcwV9d6r0oar0UmjCX5J1h5KYM+9g11kv
 hTOB2q4ivcmzWmK7B68grlpCfZ75GpdB3x+fp+pFMIGuW3YVzrqYQCKfRCFZYm+iemKn
 NoE3CQiZp0at5kOY0Sm7Ge2cdzwoamXw0NdD7zxw+QIbQilqNRBnicL01i7RIpQVU/Jk
 946J6ohYObaSGb5yU/qF/bv7TjeZN9bdq6vhDeL1+UDUGV14L79LNyk3fHyzEShrmvCY
 WbApV2o8C3MNY35XRe6CRBMp4uQC9Gnji2i46nX6UanJsCrC65Z+nDJMSwAvx2j0wMSC
 AZTQ==
X-Gm-Message-State: AOJu0YxDlneJNx3xzIcp3dreb488xtj/NnQyFlgqQsCo1VS/C72T0PsV
 H+mG05Vn2D4R1VXVSay1gqmx+4yhl4COd20pQhxGd16yZuTBDdEu
X-Google-Smtp-Source: AGHT+IFyM4OEwl4u2ey+hQepNa17It6yWNh7VqdwqtSnzsZU0rz3GYrIuEfW3MAyZT8L77KNTcU1Qw==
X-Received: by 2002:a17:907:100a:b0:a44:e28d:31a0 with SMTP id
 ox10-20020a170907100a00b00a44e28d31a0mr1759133ejb.53.1710052587121; 
 Sat, 09 Mar 2024 22:36:27 -0800 (PST)
Received: from Pro.fritz.box (p4fe3aa30.dip0.t-ipconnect.de. [79.227.170.48])
 by smtp.gmail.com with ESMTPSA id
 uz17-20020a170907119100b00a45cac9ae6bsm1618007ejb.162.2024.03.09.22.36.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 09 Mar 2024 22:36:26 -0800 (PST)
From: =?utf-8?Q?Gerd_M=C3=B6llmann?= <gerd.moellmann@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#69578: 30.0.50; tab-bar-mode binding of (control tab) not
 always useful
In-Reply-To: <86le6qwqgx.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 10 Mar
 2024 08:28:14 +0200")
References: <m2r0gng5dj.fsf@HIDDEN> <86zfvbxpmz.fsf@HIDDEN>
 <m2plw2r6t7.fsf@HIDDEN> <86le6qwqgx.fsf@HIDDEN>
Date: Sun, 10 Mar 2024 07:36:25 +0100
Message-ID: <m2msr6r3ti.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 69578
Cc: 69578 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Thanks, should we therefore close this bug?

I'll close it in a second, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#69578; Package emacs. Full text available.

Message received at 69578 <at> debbugs.gnu.org:


Received: (at 69578) by debbugs.gnu.org; 10 Mar 2024 06:28:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 10 01:28:59 2024
Received: from localhost ([127.0.0.1]:35288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rjCg6-0005Ck-SR
	for submit <at> debbugs.gnu.org; Sun, 10 Mar 2024 01:28:59 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35846)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rjCg4-0005CY-O8
 for 69578 <at> debbugs.gnu.org; Sun, 10 Mar 2024 01:28:57 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rjCfS-0005TX-9U; Sun, 10 Mar 2024 01:28:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=Nl/hDieoGqgIZBPDJt2hBDxLF4ODzXAvdSui6YWl3g8=; b=AG9v/XunLedqX1oxgQWg
 9IocvJLj4KP7NyMtE6J6ScAC2QW0qx50iJF9Pequ2GJrGZx+gck9bwNkcqe9pBOHXGmHAwLp00PAy
 qkUFyPhU73vmrTlL7bS3pee1CXD8XPRIgB7ptsaxLHyP7GQcSLykISKJ8tuU2Bvq/1NIQlvGi0RsX
 m87qXTUXnC+Q8UkMnROlE0ZvgJ3gPYEYuWauMIJK99h4FwekGfpqY+lZvljQcOsf5HxJ71RliS0Hx
 Qlxe/U0iLwWqehRJyLFFmBn7mqXZHrdUuiX6J/CjLHSud6lYLT2peuq5mscXVndW4mAxJLjSdKQh5
 /RJjhYFDbGhcDQ==;
Date: Sun, 10 Mar 2024 08:28:14 +0200
Message-Id: <86le6qwqgx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gerd =?iso-8859-1?Q?M=F6llmann?= <gerd.moellmann@HIDDEN>
In-Reply-To: <m2plw2r6t7.fsf@HIDDEN> (message from Gerd
 =?iso-8859-1?Q?M=F6llmann?= on Sun, 10 Mar 2024 06:31:48 +0100)
Subject: Re: bug#69578: 30.0.50;
 tab-bar-mode binding of (control tab) not always useful
References: <m2r0gng5dj.fsf@HIDDEN> <86zfvbxpmz.fsf@HIDDEN>
 <m2plw2r6t7.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 69578
Cc: 69578 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 69578 <at> debbugs.gnu.org
> From: Gerd Mllmann <gerd.moellmann@HIDDEN>
> Date: Sun, 10 Mar 2024 06:31:48 +0100
> 
> Juri Linkov <juri@HIDDEN> writes:
> 
> >> tab-bar--define-keys makes bindings for TAG like this:
> >>
> >>   (unless (global-key-binding [(control tab)])
> >>     (global-set-key [(control tab)] #'tab-next))
> >>   (unless (global-key-binding [(control shift tab)])
> >>     (global-set-key [(control shift tab)] #'tab-previous))
> >>   (unless (global-key-binding [(control shift iso-lefttab)])
> >>     (global-set-key [(control shift iso-lefttab)] #'tab-previous))
> >>
> >> These bindings stop taking effect if a mode has its own bindings for
> >> control tab, for instance. A prominent example is Magit.
> >
> > The developers of Org mode took courage and
> > replaced their C-TAB bindings with C-c C-TAB:
> > https://lists.gnu.org/archive/html/bug-gnu-emacs/2020-09/msg00341.html
> > The developers of Magit could do the same.
> 
> I've submitted https://github.com/magit/magit/issues/5106 to the Magit
> project.

Thanks, should we therefore close this bug?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#69578; Package emacs. Full text available.

Message received at 69578 <at> debbugs.gnu.org:


Received: (at 69578) by debbugs.gnu.org; 10 Mar 2024 05:33:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 10 00:33:34 2024
Received: from localhost ([127.0.0.1]:35245 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rjBoT-0003bd-Us
	for submit <at> debbugs.gnu.org; Sun, 10 Mar 2024 00:33:34 -0500
Received: from mail-ed1-f45.google.com ([209.85.208.45]:48520)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gerd.moellmann@HIDDEN>) id 1rjBoP-0003bO-Ug
 for 69578 <at> debbugs.gnu.org; Sun, 10 Mar 2024 00:33:32 -0500
Received: by mail-ed1-f45.google.com with SMTP id
 4fb4d7f45d1cf-56847d9b002so631315a12.1
 for <69578 <at> debbugs.gnu.org>; Sat, 09 Mar 2024 21:32:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1710048711; x=1710653511; darn=debbugs.gnu.org;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=LPeLoJZWUBewiHcWmxA06+ZwtI8EjNxkuZn3n463xvk=;
 b=Km+7fP8CERtr8wOfWoa+a1/npPnpG+TbY7l4ygrdjgpdMMgNbxtpj1WXp0pyjKlzjy
 Uj1sBDqjws5g5xev4h4ACsp2JZIBkSVSwL11im1JH+mLoD+bt9d0ADyi8WAOjJTDZy3V
 bLLF6hZ7Y/KRDC8v+eW/cbQNz/as7RRthPZkLIrXbtgeCbZ//nl4tMiBhJl9Lbu1QSyL
 NbEGl8jPf/xhYzW4btRGr/1rRiwod5797SkideWgx0HNU7gFAhy4mGibsMaPFHMbT/Kd
 /p38aBJYevSPCpyWeXlxrZCoBODJlruQFqZG6Cw5ItOdWA/R7S8eTeBtfvH3uOWwM8Nm
 9Z8A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1710048711; x=1710653511;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=LPeLoJZWUBewiHcWmxA06+ZwtI8EjNxkuZn3n463xvk=;
 b=b8vywmLRQ94p17dfKEKOlV46f/hayE1CMoEMQZtCiSM5En+JgL4BNudQWAd9zY/Eu+
 WOzJaXE9vJkBd5W8Z5HgTb97IBkRsFGlNS2mKyj3IXvWDq9+rafKRBgfjLAUba8tkEkh
 cw91kT4HYijxl1MrXN09NPqgKPEbufS74E9bKhmCtTu/E5s0ATG6EWyqiFDylKPgQ3h2
 bBlRnPZ1DynsF8b/0erq/1xn9IarATNRHdwy+IbRtOEAtLXh6JP0+C2kHIETG6URg2qE
 9xIdODrJKZKOiOcdllaTMPat4cwf7oz3DjKt8g5b/OCwV8E78Q/QgcEvaICNv+IbiZu+
 v8NQ==
X-Gm-Message-State: AOJu0Yy6EZEhrApqurkk2ziz1oXh4ukEklW8pyp5202PD9Fxxplfvmyk
 +yr7eZy+bjjZVxooshIJGFC8fLOQXw7ZT7tM1f7AN1/VO30Ne8Jgxhq1Rncy
X-Google-Smtp-Source: AGHT+IH+jXo6uzRgseJtZHO27esH+kHJP5N/9Aet7IUQQ+VXEaGbr7C5R/Oa8JLpJE0t8QQcHnkTOA==
X-Received: by 2002:a17:906:35cf:b0:a43:eeec:57b1 with SMTP id
 p15-20020a17090635cf00b00a43eeec57b1mr1716246ejb.34.1710048710654; 
 Sat, 09 Mar 2024 21:31:50 -0800 (PST)
Received: from Pro.fritz.box (p4fe3aa30.dip0.t-ipconnect.de. [79.227.170.48])
 by smtp.gmail.com with ESMTPSA id
 lf18-20020a170906ae5200b00a45e04e3ebdsm1577195ejb.83.2024.03.09.21.31.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 09 Mar 2024 21:31:50 -0800 (PST)
From: =?utf-8?Q?Gerd_M=C3=B6llmann?= <gerd.moellmann@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#69578: 30.0.50; tab-bar-mode binding of (control tab) not
 always useful
In-Reply-To: <86zfvbxpmz.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 06 Mar 2024 19:45:46 +0200")
References: <m2r0gng5dj.fsf@HIDDEN> <86zfvbxpmz.fsf@HIDDEN>
Date: Sun, 10 Mar 2024 06:31:48 +0100
Message-ID: <m2plw2r6t7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 69578
Cc: 69578 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

>> tab-bar--define-keys makes bindings for TAG like this:
>>
>>   (unless (global-key-binding [(control tab)])
>>     (global-set-key [(control tab)] #'tab-next))
>>   (unless (global-key-binding [(control shift tab)])
>>     (global-set-key [(control shift tab)] #'tab-previous))
>>   (unless (global-key-binding [(control shift iso-lefttab)])
>>     (global-set-key [(control shift iso-lefttab)] #'tab-previous))
>>
>> These bindings stop taking effect if a mode has its own bindings for
>> control tab, for instance. A prominent example is Magit.
>
> The developers of Org mode took courage and
> replaced their C-TAB bindings with C-c C-TAB:
> https://lists.gnu.org/archive/html/bug-gnu-emacs/2020-09/msg00341.html
> The developers of Magit could do the same.

I've submitted https://github.com/magit/magit/issues/5106 to the Magit
project.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#69578; Package emacs. Full text available.

Message received at 69578 <at> debbugs.gnu.org:


Received: (at 69578) by debbugs.gnu.org; 6 Mar 2024 17:49:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 06 12:49:50 2024
Received: from localhost ([127.0.0.1]:51351 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rhvOn-0005EF-Nl
	for submit <at> debbugs.gnu.org; Wed, 06 Mar 2024 12:49:49 -0500
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:54887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1rhvOl-0005DC-LS
 for 69578 <at> debbugs.gnu.org; Wed, 06 Mar 2024 12:49:48 -0500
Received: by mail.gandi.net (Postfix) with ESMTPSA id DCA7AC0003;
 Wed,  6 Mar 2024 17:48:49 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Gerd =?iso-8859-1?Q?M=F6llmann?= <gerd.moellmann@HIDDEN>
Subject: Re: bug#69578: 30.0.50; tab-bar-mode binding of (control tab) not
 always useful
In-Reply-To: <m2r0gng5dj.fsf@HIDDEN> ("Gerd =?iso-8859-1?Q?M=F6llma?=
 =?iso-8859-1?Q?nn=22's?= message of
 "Wed, 06 Mar 2024 08:56:56 +0100")
Organization: LINKOV.NET
References: <m2r0gng5dj.fsf@HIDDEN>
Date: Wed, 06 Mar 2024 19:45:46 +0200
Message-ID: <86zfvbxpmz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-GND-Sasl: juri@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 69578
Cc: 69578 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> tab-bar--define-keys makes bindings for TAG like this:
>
>   (unless (global-key-binding [(control tab)])
>     (global-set-key [(control tab)] #'tab-next))
>   (unless (global-key-binding [(control shift tab)])
>     (global-set-key [(control shift tab)] #'tab-previous))
>   (unless (global-key-binding [(control shift iso-lefttab)])
>     (global-set-key [(control shift iso-lefttab)] #'tab-previous))
>
> These bindings stop taking effect if a mode has its own bindings for
> control tab, for instance. A prominent example is Magit.

The developers of Org mode took courage and
replaced their C-TAB bindings with C-c C-TAB:
https://lists.gnu.org/archive/html/bug-gnu-emacs/2020-09/msg00341.html
The developers of Magit could do the same.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#69578; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Mar 2024 07:57:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 06 02:57:40 2024
Received: from localhost ([127.0.0.1]:49556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rhm9k-00035G-C2
	for submit <at> debbugs.gnu.org; Wed, 06 Mar 2024 02:57:40 -0500
Received: from lists.gnu.org ([209.51.188.17]:40324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gerd.moellmann@HIDDEN>) id 1rhm9f-000356-S3
 for submit <at> debbugs.gnu.org; Wed, 06 Mar 2024 02:57:38 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gerd.moellmann@HIDDEN>)
 id 1rhm9A-0004Mv-JX
 for bug-gnu-emacs@HIDDEN; Wed, 06 Mar 2024 02:57:04 -0500
Received: from mail-lj1-x235.google.com ([2a00:1450:4864:20::235])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <gerd.moellmann@HIDDEN>)
 id 1rhm96-0000zT-AB
 for bug-gnu-emacs@HIDDEN; Wed, 06 Mar 2024 02:57:04 -0500
Received: by mail-lj1-x235.google.com with SMTP id
 38308e7fff4ca-2d23114b19dso83093011fa.3
 for <bug-gnu-emacs@HIDDEN>; Tue, 05 Mar 2024 23:56:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1709711818; x=1710316618; darn=gnu.org;
 h=mime-version:message-id:date:subject:to:from:from:to:cc:subject
 :date:message-id:reply-to;
 bh=HThcOKd2tYEahHhbJ6Dyi5YGF3cjJ4cYO7eFVvu8H5A=;
 b=lcryyztukcCiqNsxidquIAJtqCDmBKX2GWKx5Dc1XcY+HyxPzuk422Swozc/JPH6rG
 E51iCzxBSg4olpuRAxtbcya3m1+G3oDjHmWmzjwJC2u4mO0gw5QSNzrciTWNNAn0wiPg
 myfRct7XIQwv3+fZEripdZifvZbFoZ5fwjde3Vi+52v2mj+E9Olxj/YDX/JZqRwgkbH1
 Hc6sw0hT6IYZG7VaQISfyZJIvhXmhBtpLQUo39yn8Rck3rp/rDB7GdsL4k4DWsUrAKp4
 hYysJPqSCNmuBH7j2XOjTdf/FF2EbYq1x7iE9+Ux99uSNt/eTUN2CmUW/wErjuGGAdKG
 mv2Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1709711818; x=1710316618;
 h=mime-version:message-id:date:subject:to:from:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=HThcOKd2tYEahHhbJ6Dyi5YGF3cjJ4cYO7eFVvu8H5A=;
 b=aBXbsI2PpZh6YDOcf9w+31K4T0CLWuoWQ2MWL82gY1mlTPmIY0sG1q7phOyUmYwlql
 QIPzQ2xPrLDqUCk0XSxx3YRWROsT4Tf2KGVU3OnfOvJ0YT4wWH1+RQ0ikhWxrV+hfqKm
 N7PniJNGJb8EVaH07IDYpSJL51fF1TYM98DRFQXSn0hDpNbx074eLNdLaMicJ3Glizug
 t1HOw9AYD4a6Vn9fmnIupxaHPmRcwXguHgN/mXU48be+rCVzDQvPbq2ujXqv6K10d6Cq
 ITQ3+G62Ef1zr+9x3ddPCBkwWcp/dEc93qqMbxQjsHw9bGt0gQSe+8Dr10AGIpGNAB9N
 AmYA==
X-Gm-Message-State: AOJu0Ywqvn0xMwtwXPtp4rTvTQwz9/7JKKwg4oQethgWKLOuzUKctbZR
 Qb4/bqzKGZ1xo03LoqKe/2oHWVgPSfUZlfkTiPl8GWi2gh1DDNL2Rg96sGce
X-Google-Smtp-Source: AGHT+IEkZgL0vulqiKIEH7CtNlqXZIRi7hRLshM3b8up7uMrzIewWcPtsaG+4o1p8VI8n77h6BkHwg==
X-Received: by 2002:a2e:3512:0:b0:2d3:f64d:516 with SMTP id
 z18-20020a2e3512000000b002d3f64d0516mr2696385ljz.46.1709711817857; 
 Tue, 05 Mar 2024 23:56:57 -0800 (PST)
Received: from Pro.fritz.box (pd9e36636.dip0.t-ipconnect.de. [217.227.102.54])
 by smtp.gmail.com with ESMTPSA id
 h2-20020a0564020e8200b005653439cadcsm6617554eda.25.2024.03.05.23.56.57
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 05 Mar 2024 23:56:57 -0800 (PST)
From: =?utf-8?Q?Gerd_M=C3=B6llmann?= <gerd.moellmann@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 30.0.50; tab-bar-mode binding of (control tab) not always useful
X-Debbugs-Cc: 
Date: Wed, 06 Mar 2024 08:56:56 +0100
Message-ID: <m2r0gng5dj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2a00:1450:4864:20::235;
 envelope-from=gerd.moellmann@HIDDEN; helo=mail-lj1-x235.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

tab-bar--define-keys makes bindings for TAG like this:

  (unless (global-key-binding [(control tab)])
    (global-set-key [(control tab)] #'tab-next))
  (unless (global-key-binding [(control shift tab)])
    (global-set-key [(control shift tab)] #'tab-previous))
  (unless (global-key-binding [(control shift iso-lefttab)])
    (global-set-key [(control shift iso-lefttab)] #'tab-previous))

These bindings stop taking effect if a mode has its own bindings for
control tab, for instance. A prominent example is Magit.

So, maybe these bindings should not be done?

In GNU Emacs 30.0.50 (build 1, x86_64-apple-darwin23.3.0, NS
 appkit-2487.40 Version 14.3.1 (Build 23D60)) of 2024-03-05 built on
 Pro.fritz.box
Repository revision: a3d7092114db09fee392ccc8187fde03376f2089
Repository branch: HEAD
Windowing system distributor 'Apple', version 10.3.2487
System Description:  macOS 14.3.1





Acknowledgement sent to Gerd Möllmann <gerd.moellmann@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#69578; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 5 Apr 2024 16:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.